jQuery(document).ready(function($) {
	$('.royalSlider').royalSlider({
		arrowsNav: true,
		arrowsNavAutoHide: false,
		autoPlay: {
			enabled: true,
			pauseOnHover: true,
			delay:4000
		},
		autoScaleSliderWidth: 1076,
		autoScaleSliderHeight: 807,
		autoScaleSlider: true,
		fullscreen: {
			enabled: true,
			nativeFS: true,
		},
		globalCaption: true,
		imageScaleMode: 'fill',
		keyboardNavEnabled: true,
		loop: true,
		transitionType: 'fade',
	});


	// Hide/show the caption
	var slider = $(".royalSlider").data('royalSlider');
	slider.slides[0].holder.on('rsAfterContentSet', setSliderCaption);
	slider.ev.on('rsAfterSlideChange', setSliderCaption);

	function setSliderCaption() {
		var $caption = $('.rsGCaption');

		if ($caption.text() == '') {
			$caption.css('padding', 0);
		} else {
			$caption.css('padding', '2px 8px');
		}
	}
});
