<?php

function gd_dequeue_scripts() {
	$scripts_and_styles = get_option( GD_OPTIONS_SCRIPTS_AND_STYLES );

	if ( isset( $scripts_and_styles['DequeuedScripts'] ) ) {
		$scripts = array_keys( $scripts_and_styles['DequeuedScripts'] );
		foreach ( $scripts as $script ) {
			wp_dequeue_script( $script );
			wp_deregister_script( $script );
		}
	}

	if ( isset( $scripts_and_styles['DequeuedStyles'] ) ) {
		$styles = array_keys( $scripts_and_styles['DequeuedStyles'] );
		foreach ( $styles as $style ) {
			wp_dequeue_style( $style );
			wp_deregister_style( $style );
		}
	}
}
add_action( 'wp_enqueue_scripts', 'gd_dequeue_scripts', 200 );
