<?php
$first_name = isset( $_POST['firstName'] ) ? esc_attr( $_POST['firstName'] ) : '';
$last_name = isset( $_POST['lastName'] ) ? esc_attr( $_POST['lastName'] ) : '';
$phone = isset( $_POST['phone'] ) ? esc_attr( $_POST['phone'] ) : '';
$email = isset( $_POST['email'] ) ? esc_attr( $_POST['email'] ) : '';
$email_confirm = isset( $_POST['emailConfirm'] ) ? esc_attr( $_POST['emailConfirm'] ) : '';
$password = isset( $_POST['password'] ) ? esc_attr( $_POST['password'] ) : '';
$address_street = isset( $_POST['addressStreet'] ) ? esc_attr( $_POST['addressStreet'] ) : '';
$address_unit = isset( $_POST['addressUnit'] ) ? esc_attr( $_POST['addressUnit'] ) : '';
$address_city = isset( $_POST['addressCity'] ) ? esc_attr( $_POST['addressCity'] ) : '';
$address_zip = isset( $_POST['addressZip'] ) ? esc_attr( $_POST['addressZip'] ) : '';
$address_state = isset( $_POST['addressState'] ) ? esc_attr( $_POST['addressState'] ) : '';
?>

<div class="gd-wrap wrap">
	<form id="geodigs-signup-form" class="gd-form" method="POST">
		<?php foreach ( $errors as $error ): ?>
			<div class="gd-alert alert alert-danger">
				<?=$error?>
			</div>
		<?php endforeach; ?>
<!-- 			Hidden Fields -->
<!-- 		Login type is always geodigs ( for now until we have login w/facebook etc ) -->
		<input type="hidden" name="type" value="geodigs">
		<input type="hidden" name="agentCode" value="<?=$_SESSION['gd']['agent']->code?>">
<!-- 			End Hidden Fields -->

<!-- 		Notes -->
		<div class="gd-form-notes">
			<small>* denotes a required field</small>
		</div>
<!-- 		End Notes -->

		<div class="gd-form-group form-group">
<!-- 			General info -->
			<input type="text" class="gd-form-control form-control" id="geodigs-signup-form-first-name" name="firstName" required placeholder="First Name*" value="<?php echo $first_name; ?>">
			<input type="text" class="gd-form-control form-control" id="geodigs-signup-form-last-name" name="lastName" required placeholder="Last Name*" value="<?php echo $last_name; ?>">
			<input type="text" class="gd-form-control form-control" id="geodigs-signup-form-phone" name="phone" required placeholder="Phone Number*" value="<?php echo $phone; ?>">
		</div>
		<div class="gd-form-group form-group">
<!-- 		Email -->
			<input type="text" class="gd-form-control form-control" id="geodigs-signup-form-email" name="email" required placeholder="Email*" value="<?php echo $email; ?>">
			<input type="text" class="gd-form-control form-control" id="geodigs-signup-form-email-confirm" name="emailConfirm" required placeholder="Confirm email*" value="<?php echo $email_confirm; ?>">
		</div>
		<div class="gd-form-group form-group">
<!-- 		Password -->
			<input type="password" class="gd-form-control form-control" id="geodigs-signup-form-password"  name="password" required placeholder="Password*" value="<?php echo $password; ?>">
			<input type="password" class="gd-form-control form-control" id="geodigs-signup-form-password-confirm"  name="passwordConfirm" required placeholder="Confirm password*">
		</div>

		<h2 class="gd-form-group-title">Address</h2>
<!-- 			Street/Unit -->
		<div class="row gd-row">
			<div class="col-sm-8 gd-col-sm-8">
				<input type="text" class="gd-form-control form-control" id="geodigs-signup-form-street" name="addressStreet" placeholder="Street" value="<?php echo $address_street; ?>">
			</div>
			<div class="col-sm-4 gd-col-sm-4">
				<input type="text" class="gd-form-control form-control" id="geodigs-signup-form-unit" name="addressUnit" placeholder="Unit" value="<?php echo $address_unit; ?>">
			</div>
		</div>

<!-- 			City/Zip -->
		<div class="row gd-row">
			<div class="col-sm-8 gd-col-sm-8">
				<input type="text" class="gd-form-control form-control" id="geodigs-signup-form-city" name="addressCity" placeholder="City" value="<?php echo $address_city; ?>">
			</div>
			<div class="col-sm-4 gd-col-sm-4">
				<input type="text" class="gd-form-control form-control" id="geodigs-signup-form-zip" name="addressZip" placeholder="Zip" value="<?php echo $address_zip; ?>">
			</div>
		</div>
		<select id="geodigs-signup-form-state" name="addressState">
			<?php echo gd_state_list( $address_state ) ?>
		</select>
		<div>
	<!-- 		Submit -->
			<input type="submit" class="btn btn-primary gd-btn gd-btn-primary">
		</div>
	</form>
</div>
