<?php
$listing_alert_emails = isset( $_SESSION['gd']['user']->listingAlertEmails )
	? $_SESSION['gd']['user']->listingAlertEmails
	: '';
$address_street = isset( $_SESSION['gd']['user']->address->street )
	? $_SESSION['gd']['user']->address->street
	: '';
$address_unit = isset( $_SESSION['gd']['user']->address->unit )
	? $_SESSION['gd']['user']->address->unit
	: '';
$address_city = isset( $_SESSION['gd']['user']->address->city )
	? $_SESSION['gd']['user']->address->city
	: '';
$address_zip = isset( $_SESSION['gd']['user']->address->zip )
	? $_SESSION['gd']['user']->address->zip
	: '';
$address_state = isset( $_SESSION['gd']['user']->address->state )
	? $_SESSION['gd']['user']->address->state
	: '';
?>

<div id="gd" class="gd-account-settings">
	<form id="geodigs-account-settings-form" class="form-horizontal gd-form-horizontal" method="POST">
		<?php foreach ( $errors as $error ) : ?>
			<div class="gd-alert alert alert-danger">
				<?php echo $error; ?>
			</div>
		<?php endforeach; ?>
		<?php if ( $success ) : ?>
			<div class="gd-alert alert alert-success">
				Account settings updated
			</div>
		<?php endif; ?>
		<fieldset>
			<h2 class="gd-form-group-header">Details</h2>
			<div class="gd-form-group form-group">
				<label class="gd-col-md-3 col-md-3 gd-control-label control-label" for="geodigs-account-settings-form-first-name">First Name*</label>
				<div class="gd-col-md-9 col-md-9">
					<input type="text" class="form-control gd-form-control" id="geodigs-account-settings-form-first-name" name="firstName" value="<?php echo $_SESSION['gd']['user']->name->first; ?>" required>
				</div>
			</div>
			<div class="gd-form-group form-group">
				<label class="gd-col-md-3 col-md-3 gd-control-label control-label" for="geodigs-account-settings-form-last-name">Last Name*</label>
				<div class="gd-col-md-9 col-md-9">
					<input type="text" class="form-control gd-form-control" id="geodigs-account-settings-form-last-name" name="lastName" value="<?php echo $_SESSION['gd']['user']->name->last; ?>" required>
				</div>
			</div>
			<div class="gd-form-group form-group">
				<label class="gd-col-md-3 col-md-3 gd-control-label control-label" for="geodigs-account-settings-form-phone">Phone*</label>
				<div class="gd-col-md-9 col-md-9">
					<input type="tel" class="form-control gd-form-control" id="geodigs-account-settings-form-phone" name="phone" value="<?php echo $_SESSION['gd']['user']->phone->readable; ?>" required>
				</div>
			</div>
			<div class="gd-form-group form-group">
				<label class="gd-col-md-3 col-md-3 gd-control-label control-label" for="geodigs-account-settings-form-email">Email*</label>
				<div class="gd-col-md-9 col-md-9">
					<input type="email" class="form-control gd-form-control" id="geodigs-account-settings-form-email" name="email" value="<?php echo $_SESSION['gd']['user']->email; ?>" required>
				</div>
			</div>
			<div class="gd-form-group form-group">
				<div class="gd-col-md-9 col-md-9 col-md-offset-3">
					<input type="email" class="form-control gd-form-control" id="geodigs-account-settings-form-email-confirm" name="emailConfirm" placeholder="Confirm email">
				</div>
			</div>
			<div class="gd-form-group form-group">
				<label class="gd-col-md-3 col-md-3 gd-control-label control-label" for="geodigs-account-settings-form-password">Password</label>
				<div class="gd-col-md-9 col-md-9">
					<input type="password" class="form-control gd-form-control" id="geodigs-account-settings-form-password" name="password">
				</div>
			</div>
			<div class="gd-form-group form-group">
				<div class="gd-col-md-9 col-md-9 col-md-offset-3">
					<input type="password" class="form-control gd-form-control" id="geodigs-account-settings-form-password-confirm" name="passwordConfirm" placeholder="Confirm password">
				</div>
			</div>
			<div class="gd-form-group form-group">
				<label class="gd-col-md-3 col-md-3 gd-control-label control-label" for="geodigs-account-settings-form-listing-alert-emails">Additional Listing Alert Emails<br><small class="text-secondary">(no spaces, separated by a comma)</small></label>
				<div class="gd-col-md-9 col-md-9">
					<input type="text" class="form-control gd-form-control" id="geodigs-account-settings-form-listing-alert-emails" name="listingAlertEmails" value="<?php echo $listing_alert_emails; ?>" placeholder="Ex: jsmith@gmail.com,jdoe@live.com">
				</div>
			</div>
		</fieldset>
		<fieldset>
			<h2 class="gd-form-group-header">Address</h2>
			<div class="gd-form-group form-group">
				<label class="gd-col-md-3 col-md-3 gd-control-label control-label" for="geodigs-account-settings-form-street">Street</label>
				<div class="gd-col-md-9 col-md-9">
					<input type="text" class="form-control gd-form-control" id="geodigs-account-settings-form-street" name="addressStreet" value="<?php echo $address_street; ?>">
				</div>
			</div>
			<div class="gd-form-group form-group">
				<label class="gd-col-md-3 col-md-3 gd-control-label control-label" for="geodigs-account-settings-form-unit">Unit</label>
				<div class="gd-col-md-9 col-md-9">
					<input type="text" class="form-control gd-form-control" id="geodigs-account-settings-form-unit" name="addressUnit" value="<?php echo $address_unit; ?>">
				</div>
			</div>
			<div class="gd-form-group form-group">
				<label class="gd-col-md-3 col-md-3 gd-control-label control-label" for="geodigs-account-settings-form-city">City</label>
				<div class="gd-col-md-9 col-md-9">
					<input type="text" class="form-control gd-form-control" id="geodigs-account-settings-form-city" name="addressCity" value="<?php echo $address_city; ?>">
				</div>
			</div>
			<div class="gd-form-group form-group">
				<label class="gd-col-md-3 col-md-3 gd-control-label control-label" for="geodigs-account-settings-form-zip">Zip Code</label>
				<div class="gd-col-md-9 col-md-9">
					<input type="text" class="form-control gd-form-control" id="geodigs-account-settings-form-zip" name="addressZip" value="<?php echo $address_zip; ?>">
				</div>
			</div>
			<div class="gd-form-group form-group">
				<label class="gd-col-md-3 col-md-3 gd-control-label control-label" for="geodigs-account-settings-form-state">State</label>
				<div class="gd-col-md-9 col-md-9">
					<select class="form-control gd-form-control" id="geodigs-account-settings-form-state" name="addressState" value="<?php echo $address_state; ?>">
						<?php echo gd_state_list( $address_state ); ?>
					</select>
				</div>
			</div>
		</fieldset>
		<div class="form-group gd-form-group">
			<input type="submit" class="btn btn-primary gd-btn gd-btn-primary" value="Update">
		</div>
	</form>
</div>
