<?php
/**
 * GeoDigs widgets
 */

require_once 'custom-search.php';
require_once 'mortgage-calculator.php';
require_once 'mortgage-calculator-modal.php';
require_once 'quick-search.php';
require_once 'quick-search-modal.php';

function gd_init_widgets() {
	register_widget( 'GD_Custom_Search_Widget' );
	register_widget( 'GD_Mortgage_Calculator_Widget' );
	register_widget( 'GD_Mortgage_Calculator_Modal_Widget' );
	register_widget( 'GD_Quick_Search_Widget' );
	register_widget( 'GD_Quick_Search_Modal_Widget' );
}
add_action( 'widgets_init', 'gd_init_widgets' );

// If our widgets contain shortcodes make sure we handle them
add_filter( 'widget_text', 'do_shortcode' );
