<?php
if ( isset( $_SESSION['gd']['user'] ) ) {
	$name    = $_SESSION['gd']['user']->name->full;
	$email   = $_SESSION['gd']['user']->email;
	$phone   = $_SESSION['gd']['user']->phone->readable;
} else {
	$name    = esc_attr( $_POST['fullName'] );
	$email   = esc_attr( $_POST['email'] );
	$phone   = esc_attr( $_POST['phone'] );
}
?>

<div id="geodigs-more-info" class="gd-wrap wrap">
	<h2><?php echo esc_attr( $_GET['address'] ); ?></h2>
	<p>You can request additional information and/or request a property showing for this property.  Along with your message your details will be shared with the realtor so they may contact you in response to your message.</p>
	<form action="<?php echo home_url( '/' . GD_URL_MORE_INFO_REQUESTED ); ?>" method="POST">
<!-- 		Hidden inputs -->
		<input type="hidden" name="listingId" value="<?php echo esc_attr( $_GET['listing_id'] ); ?>">
        <input type="hidden" name="listingAddress" value="<?php echo esc_attr( $_GET['address'] ); ?>">
		
		<div class="form-group gd-form-group">
            <input type="text" placeholder="Name" name="fullName" class="form-control gd-form-control" value="<?php echo $name; ?>" required>
            <input type="text" placeholder="Email" name="email" class="form-control gd-form-control" value="<?php echo $email; ?>">
            <input type="text" placeholder="Phone" name="phone" class="form-control gd-form-control" value="<?php echo $phone; ?>">
			<input type="text" placeholder="Subject" name="subject" class="form-control gd-form-control" required>
			<textarea placeholder="Message" name="message" class="form-control gd-form-control" required></textarea>
		</div>

		<input type="submit" class="btn btn-primary gd-btn gd-btn-primary" value="Request More Information">
	</form>
</div>
