<?php
if ( $_POST ) {
	$gd_options_general = gd_get_option(GD_OPTIONS_GENERAL);

	// Send confirmation email
	$to	      = gd_options_general['MoreInfoEmail'] == 'agent'
        ? $_SESSION['gd']['agent']->email : get_bloginfo( 'admin_email' );
	$subject  = 'More Information Request: ' . sanitize_text_field( $_POST['subject'] );
	$headers  = 'From: ' . $_SESSION['gd']['user']->email . "\r\n";
	$headers .= 'Reply-To: ' . $_SESSION['gd']['user']->email . "\r\n";
	$headers .= 'X-Mailer: PHP/' . phpversion() . "\r\n";
	$headers .= "Content-Type: text/html; charset=ISO-8859-1\r\n";
	$headers .= "MIME-Version: 1.0\r\n";
	
	// Request info
    $content = \GeoDigs\Template::load( 'emails/more-info-request.php', array(
        'name'            => sanitize_text_field( $_POST['fullName'] ),
        'email'           => sanitize_text_field( $_POST['email'] ),
        'phone'           => sanitize_text_field( $_POST['phone'] ),
        'listing_id'      => sanitize_text_field( $_POST['listingId'] ),
        'listing_address' => sanitize_text_field( $_POST['listingAddress'] ),
        'message'         => sanitize_text_field( $_POST['message'] ),
    ), false );
	
	// Send it
	mail( $to, $subject, $contents, $headers );
}
?>
<div id="geodigs-more-info-requested" class="gd-wrap">
	<h3>You will be contacted about your request soon!</h3>
</div>
