<?php

namespace GeoDigs\Shortcodes;

/**
 * GeoDigs shortcode base class
 */
abstract class Shortcode
{

	function __construct( $handle ) {
		add_shortcode( $handle, array(&$this, 'handle_shortcode') );
		add_action( 'wp_enqueue_scripts', array( &$this, 'enqueue_scripts' ) );
	}

	abstract public function handle_shortcode( $atts );
	abstract public function enqueue_scripts();
}
