<?php
/**
 * GeoDigs shortcodes
 */

use GeoDigs\Shortcodes as Shortcodes;

// Base class
require_once 'Shortcode.php';

require_once 'AdvancedSearch.php';
require_once 'CustomSearch.php';
require_once 'listings.php';
require_once 'MortgageCalculator.php';
require_once 'OurListings.php';
require_once 'QuickSearch.php';

new Shortcodes\AdvancedSearch();
new Shortcodes\CustomSearch();
new Shortcodes\MortgageCalculator();
new Shortcodes\OurListings();
new Shortcodes\QuickSearch();

// DEPRICATED
function gd_register_shortcodes() {
	add_shortcode( 'gd_listings', 'gd_listings_shortcode_handler' );
}
add_action( 'init', 'gd_register_shortcodes' );
