<?php
$email = isset( $_POST['email'] ) ? esc_attr( $_POST['email'] ) : '';
?>

<div id="gd" class="gd-login">
	<?php if ( isset( $error ) ): ?>
		<div class="gd-alert alert alert-danger"><?php echo $error; ?></div>
	<?php endif; ?>

	<!-- Submits to same page -->
	<form id="geodigs-login-form" class="gd-form" method="POST">
		<!-- Login type is always geodigs ( for now until we have login w/facebook etc ) -->
		<input type="hidden" name="type" value="geodigs">

		<fieldset class="gd-form-group form-group">
			<input type="text" id="geodigs-login-form-email" class="gd-form-control form-control" name="email" value="<?php echo $email; ?>" required placeholder="Email">
			<input type="password" id="geodigs-login-form-password" class="gd-form-control form-control" name="password" value="" required placeholder="Password">
		</fieldset>
		<input type="submit" class="btn btn-primary form-control gd-btn gd-btn-primary gd-form-control">
	</form>

	<div id="geodigs-login-form-info">
		<a id="gd-forgot-password-btn" href="<?php echo home_url( '/' . GD_URL_FORGOT_PASSWORD ); ?>">Forgot your password?</a>
		<div id="gd-signup">
			<span id="gd-signup-message">Don't have an account? <a href="<?php echo home_url( '/' . GD_URL_SIGNUP ); ?>" id="gd-signup-button" class="widefat">Sign up</a></span>
		</div>
	</div>
</div>
