<?php
$min_price = isset( $_GET['minPrice'] ) ? esc_attr( $_GET['minPrice'] ) : '';
$max_price = isset( $_GET['maxPrice'] ) ? esc_attr( $_GET['maxPrice'] ) : '';
$min_bed = isset( $_GET['minBed'] ) ? esc_attr( $_GET['minBed'] ) : '';
$max_bed = isset( $_GET['maxBed'] ) ? esc_attr( $_GET['maxBed'] ) : '';
$min_baths = isset( $_GET['minBaths'] ) ? esc_attr( $_GET['minBaths'] ) : '';
$max_baths = isset( $_GET['maxBaths'] ) ? esc_attr( $_GET['maxBaths'] ) : '';
?>

<div class="gd-quick-search">
	<form id="gd-quick-search-form" action="<?php echo $form_action; ?>" method="get"> 
<!-- 		Search only active listings by default -->
		<input type="hidden" name="status" value="2">
<!-- 		Order by price high to low first -->
		<input type="hidden" name="orderBy" value="price">
		<input type="hidden" name="orderByDirection" value="desc">
		
		<div class="gd-quick-search-input form-group gd-form-group">
			<input class="gd-quick-search-selector form-control gd-form-control" type="text" placeholder="Search... Type a city, street name, zip code, or MLS #"></input>
			<div class="gd-quick-search-throbber">
				<span class="gd-quick-search-throbber-helper"></span>
				<img src="<?=GD_URL_IMAGES . 'ui/throbber-autocomplete.gif'?>"/>
			</div>
			<div class="gd-quick-search-fields">
			</div>
		</div>
		<div class="form-group gd-form-group row gd-row">
			<div class="col-md-3 gd-col-md-3">
				<select name="minBed" class="form-control gd-form-control">
					<option value="" selected disabled>Beds</option>
					<?php for ( $i = 1; $i < 13; $i++ ): ?>
						<option value="<?=$i?>" <?php if ( $i == $min_bed ) echo 'selected'; ?>><?=$i?>+</option>
					<?php endfor; ?>
				</select>
			</div>
			<div class="col-md-3 gd-col-md-3">
				<select name="minBaths" class="form-control gd-form-control">
					<option value="" selected disabled>Baths</option>
					<?php for ( $i = 1; $i < 13; $i++ ): ?>
						<option value="<?=$i?>" <?php if ( $i == $min_baths ) echo 'selected'; ?>><?=$i?>+</option>
					<?php endfor; ?>
				</select>
			</div>
			<div class="col-md-6 gd-col-md-6">
				<div class="row gd-row">
					<div class="col-sm-6 gd-col-sm-6">
						<input class="form-control gd-form-control number-input" type="text" name="minPrice" value="<?php echo $min_price; ?>" placeholder="Price Min">
					</div>
					<div class="col-sm-6 gd-col-sm-6">
						<input class="form-control gd-form-control number-input" type="text" name="maxPrice" value="<?php echo $max_price; ?>" placeholder="Price Max">
					</div>
				</div>
			</div>
		</div>
		<div>
			<input type="submit" class="form-control gd-form-control" value="Search">
		</div>
	</form>
</div>
